body > main {
    margin-left: 0 !important;
}
body > main > div.section {
    margin-left: 0 !important;
    margin-right: 0 !important;
}
table.productlist {
    border-collapse: collapse;
    box-sizing: border-box;
    min-width: 95%;
    margin-left: auto;
    margin-right: auto;
}
table.productlist > thead {
    background-color: whitesmoke;
}
table.productlist > thead > tr > th {
    font-weight: normal;
    font-style: normal;
    font-size: smaller;
}
table.productlist > thead > tr > th > .unit {
    font-size: smaller;
    display: block;
    line-height: 100%;
}
table.productlist > thead > tr > th > .unit::before {
    content: "(";
}
table.productlist > thead > tr > th > .unit::after {
    content: ")";
}
    
table.productlist > * > tr > * {
    font-size: smaller;
    border: 1px solid gray;
}
table.productlist > tbody > tr > td {
    padding-left: 0.25em;
    padding-right: 0.25em;
}
table.productlist > tbody > tr > td.modelno,
table.productlist > tbody > tr > td.length,
table.productlist > tbody > tr > td.wiring,
table.productlist > tbody > tr > td.color,
table.productlist > tbody > tr > td.temperature,
table.productlist > tbody > tr > td.lm,
table.productlist > tbody > tr > td.power,
table.productlist > tbody > tr > td.efficacy,
table.productlist > tbody > tr > td.ra,
table.productlist > tbody > tr > td.jan,
table.productlist > tbody > tr > td.price {
    white-space: nowrap;
}
table.productlist > tbody > tr > td.length,
table.productlist > tbody > tr > td.temperature,
table.productlist > tbody > tr > td.lm,
table.productlist > tbody > tr > td.power,
table.productlist > tbody > tr > td.efficacy,
table.productlist > tbody > tr > td.ra,
table.productlist > tbody > tr > td.warranty,
table.productlist > tbody > tr > td.price {
    text-align: right;
}
table.productlist > tbody > tr > td.wiring,
table.productlist > tbody > tr > td.needs_direct {
    text-align: center;
}
table.productlist > tbody > tr > td.jan,
table.productlist > tbody > tr > td.price,
table.productlist > tbody > tr > td.appendix {
    font-size: x-small;
}
table.productlist > tbody > tr > td::after {
    font-size: x-small;
    vertical-align: bottom;
    margin-right: -0.25em;
}
table.productlist > tbody > tr > td.length::after {
    content: "cm";
}
table.productlist > tbody > tr > td.temperature::after {
    content: "K";
}
table.productlist > tbody > tr > td.lm::after {
    content: "lm";
}
table.productlist > tbody > tr > td.power::after {
    content: "W";
}
table.productlist > tbody > tr > td.efficacy::after {
    content: "lm/W";
}
table.productlist > tbody > tr > td.warranty::after {
    content: "年";
}
table.productlist > tbody > tr > td.price::before {
    content: '￥';
}

dialog#shops {
    margin: auto;
    min-width: 50vw;
    border-radius: 1rem;
    padding: 1rem;
    background-color: floralwhite;
}

dialog#shops > h1 {
    font-size: large;
    text-align: center;
}

dialog#shops > p {
    display: flex;
    flex-direction: column;
    justify-conotent: space-around;
    align-items: center;
}
dialog#shops > p > *.getmodelnumber_shop_link {
    margin-top: 2ex;
}
dialog#shops > p > a.getmodelnumber_shop_link {
    font-size: 105%;
}
dialog#shops > p > *.getmodelnumber_quantity {
    font-size: smaller;
    text-align: center;
}
dialog#shops > p > *.getmodelnumber_quantity::before {
    display: block;
    font-size: smaller;
    content: "まとめ買いなどオプション";
}

@media (max-width: 64rem) {
    table.productlist > tbody > tr > td::after {
	display: none;
    }
}
    
@media print {
    @page {
	size: landscape;
    }
    dialog,
    nav,
    .control,
    table.productlist > caption {
	display: none;
    }
    table.productlist > thead > tr > th {
	white-space: nowrap;
    }
    table.productlist > tbody > tr > td.modelno > a {
	color: inherit;
	text-decoration: inherit;
    }
    body > header > h1 {
	background-blend-mode: unset !important;
	background-color: inherit !important;
	background-image: url('../resy/img/reudo_logo.png'), url('img/QR_ledtubes.png');
	background-position: right, left center;
	background-size: contain;
	background-repeat: no-repeat;
	text-shadow: inherit;
    }
    table.productlist > tbody > tr > td::after {
	display: inline !important;
    }
}
